Subject: Re: bug#55521: ‘guix shell --export-manifest’ can yield incorrect results

From: Dominic Martinez <[email-masked]>
Date: Thu, 19 May 2022 09:00:25 -0400

Ludovic Courtès <[email-masked]> writes:

> Actually it looks like this was fixed in the meantime:
>
> $ guix time-machine 
> --commit=2f170893719e6e9fc8e19cc5f0568e20a95d92b4 -- shell 
> --export-manifest texlive-base rubber
> ;; What follows is a "manifest" equivalent to the command line 
> you gave.
> ;; You can store it in a file that you may then pass to any 
> 'guix' command
> ;; that accepts a '--manifest' (or '-m') option.
>
> (specifications->manifest
>   (list "texlive-base" "rubber"))
>
> I’m not sure what happened, but it’s a good surprise.  :-)
>
> Closing!

I think this issue is sporadic, rather than fixed. I've had it 
happen and then fix itself, even with the same list of packages on 
the same Guix commit. For instance, I don't encounter the issue 
with the commit you were on:

$ guix time-machine 
--commit=6b588da368c77cde82ea2f22ca315116228777ad -- shell 
--export-manifest texlive-base rubber
;; What follows is a "manifest" equivalent to the command line you 
   gave.
;; You can store it in a file that you may then pass to any 'guix' 
   command
;; that accepts a '--manifest' (or '-m') option.

(specifications->manifest
  (list "texlive-base" "rubber"))

Maybe we could keep this bug open?